CSIN(3)

NAME
csin, csinf, csinl - complex sine function

SYNOPSIS
#include <complex.h>

double complex csin(double complex z);
float complex csinf(float complex z);
long double complex csinl(long double complex z);

Link with -lm.

DESCRIPTION
The complex sine function is defined as:
    csin(z) = (exp(i * z) - exp(-i * z)) / (2 * i)

CONFORMING TO
C99

SEE ALSO
cabs(3), ccos(3), ctan(3), complex(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.